Name:          opensaml-java-xmltooling
Version:       1.3.4
Release:       12%{?dist}
Summary:       Java XMLTooling library
License:       ASL 2.0 and W3C

URL:           http://www.opensaml.org/

# svn export https://svn.shibboleth.net/java-xmltooling/tags/1.3.4/ opensaml-java-xmltooling-1.3.4
# tar cafJ opensaml-java-xmltooling-1.3.4.tar.xz opensaml-java-xmltooling-1.3.4
Source0:       opensaml-java-xmltooling-%{version}.tar.xz
Source1:       http://www.apache.org/licenses/LICENSE-2.0.txt

Patch0:        0001-Support-for-new-bouncycastle.patch
Patch1:        opensaml-java-xmltooling-1.3.4-bouncycastle1.52.patch

BuildArch:     noarch

BuildRequires: maven-local
BuildRequires: mvn(ca.juliusdavies:not-yet-commons-ssl)
BuildRequires: mvn(ch.qos.logback:logback-classic)
BuildRequires: mvn(commons-codec:commons-codec)
BuildRequires: mvn(joda-time:joda-time)
BuildRequires: mvn(net.jcip:jcip-annotations)
BuildRequires: mvn(net.shibboleth:parent:pom:)
BuildRequires: mvn(org.apache.santuario:xmlsec)
BuildRequires: mvn(org.bouncycastle:bcprov-jdk15on)
BuildRequires: mvn(xalan:xalan)
BuildRequires: mvn(xerces:xercesImpl)
BuildRequires: mvn(xml-resolver:xml-resolver)
BuildRequires: mvn(org.slf4j:jcl-over-slf4j)
BuildRequires: mvn(org.slf4j:jul-to-slf4j)
BuildRequires: mvn(org.slf4j:log4j-over-slf4j)

%description
Java XMLTooling is a low-level library that may be used to construct libraries
that allow developers to work with XML in a Java beans manner.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q

%patch0 -p1
%patch1 -p1

sed -i "s|\${xerces.groupId}|xerces|" pom.xml
%pom_change_dep :bcprov-jdk15 :bcprov-jdk15on:1.52

%pom_remove_dep "xerces:xml-apis"
%pom_remove_dep "xerces:serializer"
%pom_add_dep net.jcip:jcip-annotations:1

%build
# Certificate related tests fail: Tests run: 803, Failures: 24, Errors: 0, Skipped: 0
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc doc/CREDITS.txt doc/README doc/RELEASE-NOTES.txt
%license doc/LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license doc/LICENSE.txt

%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.4-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jul 24 2015 gil cattaneo <puntogil@libero.it> 1.3.4-11
- fix FTBFS rhbz#1239749
- add support for bouncycastle 1.52
- use BR mvn()-like
- remove unnecessary maven plugins
- remove duplicate files
- fix some rpmlint warning
- introduce license macro

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.4-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Mar 24 2015 Marek Goldmann <mgoldman@redhat.com> - 1.3.4-9
- Support for new bouncycastle

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.4-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Aug 07 2013 Marek Goldmann <mgoldman@redhat.com> - 1.3.4-7
- Using xmvn

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 1.3.4-4
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Wed Oct 17 2012 Marek Goldmann <mgoldman@redhat.com> - 1.3.4-3
- License tag fix

* Mon Oct 15 2012 Marek Goldmann <mgoldman@redhat.com> - 1.3.4-2
- Using pom macros instead of patch
- Added some R
- Added license text file

* Tue Sep 18 2012 Patryk Obara <pobara@redhat.com> 1.3.4-1
- Initial packaging
